aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-html-tree/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 11:01:17 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:25 +0300
commit065f38f965b3d69a7ace9c009f5faac9b4219ee2 (patch)
tree613ba08fba5913069158754f373c522e5529fba5 /testing/perl-html-tree/APKBUILD
parentc7da55c5abaecfae2f0bd428869058ba842a76a7 (diff)
downloadaports-065f38f965b3d69a7ace9c009f5faac9b4219ee2.tar.gz
aports-065f38f965b3d69a7ace9c009f5faac9b4219ee2.tar.bz2
aports-065f38f965b3d69a7ace9c009f5faac9b4219ee2.tar.xz
testing/perl-html-tree: new apkbuild-cpan generated aport
Class for objects that represent HTML elements http://search.cpan.org/dist/HTML-Tree/
Diffstat (limited to 'testing/perl-html-tree/APKBUILD')
-rw-r--r--testing/perl-html-tree/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-html-tree/APKBUILD b/testing/perl-html-tree/APKBUILD
new file mode 100644
index 0000000000..c564a23e1c
--- /dev/null
+++ b/testing/perl-html-tree/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-html-tree
+_pkgreal=HTML-Tree
+pkgver=4.2
+pkgrel=0
+pkgdesc="Class for objects that represent HTML elements"
+url="http://search.cpan.org/dist/HTML-Tree/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-html-tagset perl-html-parser"
+cpanmakedepends="perl-html-tagset perl-test-exception perl-html-parser"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JF/JFEARN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./Build
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a145ad037ac54b6192c0046383d267da HTML-Tree-4.2.tar.gz"